Get YouTube Video Info Results by id
curl --request GET \
--url https://api.aisa.one/apis/v1/dataforseo/serp/youtube/video_info/task_get/advanced/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/serp/youtube/video_info/task_get/advanced/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/dataforseo/serp/youtube/video_info/task_get/advanced/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": "<string>",
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"cost": 123,
"tasks_count": 123,
"tasks_error": 123,
"tasks": [
"<string>"
],
"tasks[].result": [
"<string>"
]
}YouTube
Get YouTube Video Info Results by id
Retrieves a queued YouTube video info result by id.
GET
https://api.aisa.one/apis/v1
/
dataforseo
/
serp
/
youtube
/
video_info
/
task_get
/
advanced
/
{id}
Get YouTube Video Info Results by id
Retrieves a queued YouTube video info result by
id. Returns keyword, type, se_domain, location_code, language_code, check_url, datetime, spell, refinement_chips, item_types, items_count and items. Free - the charge was on the submit. Wrapped in DataForSEO’s envelope: data in tasks[0].result, outcome in tasks[0].status_code - a rejected request still returns HTTP 200.
Example
curl -X GET "https://api.aisa.one/apis/v1/dataforseo/serp/youtube/video_info/task_get/advanced/{id}" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Task identifier in UUID format
Response
Successful response
The current version of the API
General status code
General informational message
Execution time, seconds
Total tasks cost, USD
The number of tasks in the tasks array
The number of tasks in the tasks array returned with an error
Array of tasks
Array of advanced SERP results